PDA

View Full Version : Upgrading my OpenGl libraries



Brooksy
01-21-2006, 09:05 AM
Hi,

I've got to the stage in OpenGL programming when I want to use functions that are only in OpenGL v1.4 and beyond like glEnable(GL_MULTISAMPLE) for example.

I have OpenGL version 1.2 installed, I believe I need to update my .dll &.libs & .hs etc. Is this correct?

If so, where can I download them? I can't find them anywhere?!

If anyone can help I'd be very grateful!

Brooksy :confused:

mikael_aronsson
01-22-2006, 12:16 AM
Hi !

No you do not need to update your dll's, make sure you have the correct OpenGL driver, that is it.

You might want to get a gl.h file with the extension declarations though.

If you search this forum on "opengl extensions" you will find lots of information about it.

There is a platform independent library that handles all the hairy stuff for you, but I do not remember the name of it, but you should find that also with a search.

Mikael

shelll
01-22-2006, 03:00 AM
download GLEE or GLEW extensions loading libraries.